Get Batch Sync Status
Returns the current status of a batch sync job created by POST /batches/{batch_id}/sync.
A sync job transitions through the following statuses:
queued— sync accepted, awaiting the background worker.processing— the worker is materialising tasks.
Terminal statuses:
complete— the sync finished.tasks_created,datapoints_processed,groups_created, andgroups_expandedare populated.failed— the sync failed.reasonis populated.
Continue polling while the status is queued or processing.
Authentication
The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.
Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.
If your token is leaked, delete it and create a new one directly in the app.
In your requests add Authorization header with the value Token <your token>.
Path parameters
The sync job ID returned by POST /batches/{batch_id}/sync
Response
When the sync job was created (ISO 8601, UTC).
When the sync job was last updated (ISO 8601, UTC).
Number of tasks created this sync. Present when status is complete.
Number of datapoints processed this sync. Present when status is complete.
Number of new task groups created this sync. Present when status is complete.
Number of existing task groups grown this sync. Non-zero only for predetermined-grouping
batches; always 0 for tasks-per-group batches. Present when status is complete.
Human-readable reason for failure. Present when status is failed.